Bug 529605 - Review Request: rubygem-ohai - Profiles your system and emits JSON
Summary: Review Request: rubygem-ohai - Profiles your system and emits JSON
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 525988 525989
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-19 05:28 UTC by Matthew Kent
Modified: 2010-04-09 04:07 UTC (History)
3 users (show)

Fixed In Version: rubygem-ohai-0.5.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-28 15:54:43 UTC
mtasaka: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-10-19 05:28:58 UTC
Spec URL: http://magoazul.com/wip/SPECS/ohai.spec
SRPM URL: http://magoazul.com/wip/SRPMS/ohai-0.3.2-1.fc12.src.rpm
Description: Ohai detects data about your operating system and prints out a JSON data blob. It can be used standalone, but it's primary purpose is to provide node data to Chef.

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint ohai.spec /var/tmp/rpmbuild/SRPMS/ohai-0.3.2-1.magoazul.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Though 0.3.4rc0 is out now this is the most recent stable version.

Comment 1 Matthew Kent 2009-10-22 06:37:33 UTC
Spec URL: http://magoazul.com/wip/SPECS/ohai.spec
SRPM URL: http://magoazul.com/wip/SRPMS/ohai-0.3.2-2.fc12.src.rpm

* Wed Oct 21 2009 Matthew Kent <mkent@magoazul.com> - 0.3.2-2
- Include man page.

Comment 2 Mamoru TASAKA 2009-10-23 18:43:11 UTC
Well, lib/ohai/mixin/command.rb is GPLv3+.
Would you ask the upstream if this is intentional?

The trouble is that this makes the whole ohai to be
under GPLv3+ (ASL 2.0 and GPLv3+ are compatible).
Then:

* rubygem-json - GPLv2 or Ruby
* rubygem-extlib - MIT
* rubygem-systemu - GPLv2 or Ruby
* ohai - GPLv3+

Since
- GPLv2 and GPLv3+ are incompatible
- Ruby and GPLv3+ are also incompatible
according to https://fedoraproject.org/wiki/Licensing ,
currently ohai is under license conflict.
if lib/ohai/mixin/command.rb is also changed to under ASL 2.0,
license conflict can be resolved.

Comment 3 Mamoru TASAKA 2009-10-23 18:43:58 UTC
For now setting FE-Legal

Comment 4 Matthew Kent 2009-10-24 22:55:36 UTC
Hi, thank you for the review!

(In reply to comment #2)
> Well, lib/ohai/mixin/command.rb is GPLv3+.
> Would you ask the upstream if this is intentional?
>

I've asked them and they are discussing it.

Comment 5 Matthew Kent 2009-10-29 06:43:42 UTC
Still waiting on the license issue.

Spec URL: http://magoazul.com/wip/SPECS/ohai.spec
SRPM URL: http://magoazul.com/wip/SRPMS/ohai-0.3.6-1.fc12.src.rpm

* Wed Oct 28 2009 Matthew Kent <mkent@magoazul.com> - 0.3.6-1
- New upstream release.
- Add dependencies on rubygem-mixlib-{cli,config,log}
- man page included upstream

Comment 6 Matthew Kent 2009-10-29 07:14:56 UTC
(In reply to comment #5)
> Still waiting on the license issue.
> 
> Spec URL: http://magoazul.com/wip/SPECS/ohai.spec
> SRPM URL: http://magoazul.com/wip/SRPMS/ohai-0.3.6-1.fc12.src.rpm
> 
> * Wed Oct 28 2009 Matthew Kent <mkent@magoazul.com> - 0.3.6-1
> - New upstream release.
> - Add dependencies on rubygem-mixlib-{cli,config,log}
> - man page included upstream  

Apologies, this update is broken. I'm going to have to rework things a little.

Comment 7 Matthew Kent 2009-10-29 17:51:04 UTC
Asking for advice on this package at 

https://www.redhat.com/archives/fedora-packaging/2009-October/msg00091.html

Comment 8 Mamoru TASAKA 2009-10-30 16:41:47 UTC
About your mail:
I would package this from gem (as it seems the simplest, I prefer
simpleness), and if non-gem support scripts on other packages can
be avoided, it is better. However I leave it to you how to package 
this software.

Comment 9 Matthew Kent 2009-11-03 08:48:22 UTC
Still waiting on legal in http://tickets.opscode.com/browse/OHAI-137

(In reply to comment #8)
> About your mail:
> I would package this from gem (as it seems the simplest, I prefer
> simpleness), and if non-gem support scripts on other packages can
> be avoided, it is better. However I leave it to you how to package 
> this software.  

Thank you for your input. 

I agree it would be simpler to use the gem but after some discussion with upstream and having packaged it's main parent package, Chef, I think I'll pursue this submission with dependencies on rubygem-* packages (option b) for the time being.

Comment 10 Matthew Kent 2010-03-22 17:10:10 UTC
So the legal issue is resolved by upstream and I've decided to take the path of least resistance and let rubygems do the work of installing as upstream hasn't added any kind of setup.rb system yet.

Spec URL: http://magoazul.com/wip/SPECS/rubygem-ohai.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-ohai-0.5.0-1.fc14.src.rpm

rpmlint /var/tmp/results/rubygem-ohai-* | grep -v '/1.8/doc/'
rubygem-ohai.src: W: no-buildroot-tag
rubygem-ohai-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here http://koji.fedoraproject.org/koji/taskinfo?taskID=2068382

The only issue I can't decipher is a strange occasional failure in one extremely simple test within the test suite when run within the build root - something to do with Time. Can't reproduce it outside mock.

Comment 11 Mamoru TASAKA 2010-03-23 18:18:39 UTC
Well,
With ohai 0.3.2, $ ohai returned some information of my system.
0.3.6: not tested
With 0.5.0:

$ ohai
/usr/lib/ruby/1.8/logger.rb:314:in `<': comparison of Fixnum with :info failed (ArgumentError)
	from /usr/lib/ruby/1.8/logger.rb:314:in `add'
	from /usr/lib/ruby/1.8/logger.rb:348:in `debug'
	from /usr/lib/ruby/gems/1.8/gems/mixlib-log-1.0.3/lib/mixlib/log.rb:70:in `send'
	from /usr/lib/ruby/gems/1.8/gems/mixlib-log-1.0.3/lib/mixlib/log.rb:70:in `method_missing'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/system.rb:200:in `require_plugin'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/system.rb:190:in `each'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/system.rb:190:in `require_plugin'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/system.rb:116:in `all_plugins'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/application.rb:89:in `run_application'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/lib/ohai/application.rb:67:in `run'
	from /usr/lib/ruby/gems/1.8/gems/ohai-0.5.0/bin/ohai:40
	from /usr/bin/ohai:19:in `load'
	from /usr/bin/ohai:19

Would you examine this?

Comment 12 Matthew Kent 2010-03-23 22:23:42 UTC
(In reply to comment #11)
> With 0.5.0:
> 
> $ ohai
> /usr/lib/ruby/1.8/logger.rb:314:in `<': comparison of Fixnum with :info failed
> (ArgumentError)

My apologies I believe this is due to an older version mixlib-log, I've pushed new F-13 and rawhide versions that should fix that.

Alternately it's available here: http://magoazul.com/wip/x86_64/rubygem-mixlib-log-1.1.0-1.fc14.noarch.rpm or http://magoazul.com/wip/SRPMS/rubygem-mixlib-log-1.1.0-1.fc14.src.rpm if you prefer.

Comment 13 Mamoru TASAKA 2010-03-24 17:38:53 UTC
Thanks, now /usr/bin/ohai works.

Well,
- %ruby_sitelib macro doesn't seem to be needed

Other things are okay.
----------------------------------------------------------
  This package (rubygem-ohai) is APPROVED by mtasaka
----------------------------------------------------------

Comment 14 Matthew Kent 2010-03-24 18:34:02 UTC
Thank you for the review!

Comment 15 Matthew Kent 2010-03-24 18:35:19 UTC
New Package CVS Request
=======================
Package Name: rubygem-ohai
Short Description: Profiles your system and emits JSON
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 16 Dennis Gilmore 2010-03-25 20:56:08 UTC
CVS Done

Comment 17 Fedora Update System 2010-03-27 23:16:47 UTC
rubygem-ohai-0.5.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-ohai-0.5.0-1.fc12

Comment 18 Fedora Update System 2010-03-27 23:17:43 UTC
rubygem-ohai-0.5.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-ohai-0.5.0-1.fc13

Comment 19 Fedora Update System 2010-03-27 23:20:41 UTC
rubygem-ohai-0.5.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-ohai-0.5.0-1.fc11

Comment 20 Mamoru TASAKA 2010-03-28 15:54:43 UTC
Closing.

Comment 21 Fedora Update System 2010-03-30 02:22:28 UTC
rubygem-ohai-0.5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-03-30 02:23:11 UTC
rubygem-ohai-0.5.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-04-09 04:07:10 UTC
rubygem-ohai-0.5.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.